/* =========================================================== */
/* ========================= El Monte STG ======================= */
/* =========================================================== */

:root {
    --primary: #283891;
    --primary-rgb: 42, 58, 145;
    --cassiopeia-color-primary: var(--primary);
    --color-primary: var(--primary);
    --secondary: #595959;
    --secondary-hover: #3e3e3e;
    --color-secondary: var(--secondary);
    --cassiopeia-color-hover: #044cd0;
    --cassiopeia-color-link: #0345bf;
    --template-text-dark: #444;
    --body-color: #444;
    --font-heading: Arial, Helvetica, sans-serif;
    --body-font-family: "Open Sans", sans-serif;
    --modal-width: 80%;
    --bg-header: #fff;
    --bg-footer: #171717;
    --body-font-family: "Roboto", sans-serif;
}

body {
    font-size: 0.875rem;
}

/* Main Container */
.site-grid > [class*=" container-"],
.site-grid > [class^="container-"] {
    background-color: #fff;
}

.metismenu.mod-menu .metismenu-item {
    font-size: 0.875rem;
}

.border-primary {
    border-color: var(--color-primary) !important;
}

.container-header {
    background: var(--bg-header);
}

a.skip-link {
    left: 10px;
    font-size: 12px;
    background: #ffff00;
    top: -10rem;
    transition: top 0.25s ease-in-out;
}

a.skip-link:focus {
    top: 0;
    outline: solid;
}

.btn {
    margin: 0;
}

table.table strong,
table.table th {
    color: var(--cassiopeia-color-link);
}

.page-header h1,
h1,
.h1 {
    margin-block-end: 2rem;
    padding-block-end: 2rem;
    border-block-end: 2px solid #e1e1e1;
    color: var(--primary);
    font-size: 2.25rem;
    font-weight: 700;
}

h2 {
    font-size: 1.8rem;
    font-weight: 500;
}

.btn-secondary {
    color: #fff;
    background-color: var(--secondary);
}

.btn-secondary:hover,
.btn-secondary:focus {
    color: #fff;
    background-color: var(--secondary-hover);
}

.form-control,
.input-group-text {
    border: 1px solid #555;
}

.form-search {
    margin-inline-start: auto;
    width: 290px;
}

.form-search .js-finder-search-query {
    border-radius: 0;
}

.formError {
    color: #a51f1f !important;
}

a {
    transition: color 400ms, background-color 400ms;
}

a,
a:hover,
a:focus,
a:active {
    text-decoration: none;
}

label {
    font-weight: normal;
}

legend {
    padding-bottom: 10px;
}

img {
    display: block;
    max-width: 100%;
    height: auto;
}

ul.social-icons {
    list-style: none;
    padding: 0;
    margin: 0;
    display: inline-block;
}

ul.social-icons > li {
    display: inline-block;
    line-height: 1.5;
}

ul.social-icons > li:not(:last-child) {
    margin-right: 20px;
}

.login img {
    display: inline-block;
    margin: 20px 0;
}

.login .checkbox input[type="checkbox"] {
    margin-top: 6px;
}

.form-links ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.hide-label {
    border: 0;
    clip: rect(1px 1px 1px 1px);
    clip: rect(1px, 1px, 1px, 1px);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.search .btn-toolbar {
    margin-bottom: 20px;
}

.search .btn-toolbar span.icon-search {
    margin: 0;
}

.search .btn-toolbar button {
    color: #fff;
}

.blog-items .blog-item {
    border: 1px solid #f5f5f5;
    border-radius: 3px;
    padding: 1.3rem;
}

.blog-items .item-image {
    margin: -1.3rem -1.3rem 1.3rem;
}

.blog-items .blog-item img {
    border-radius: 3px 3px 0 0;
    border-bottom: 1px solid #f5f5f5;
    overflow: hidden;
    width: 100%;
}

.blog-items .item-title {
    font-size: 1.375rem;
    margin: 0 0 1.25rem 0;
}

.blog-items .item-title a {
    color: #252525;
    text-decoration: none;
}

.blog-items .item-title a:hover,
.blog-items .item-title a:active,
.blog-items .item-title a:focus {
    color: #044cd0;
}

.home .article-list .row {
    justify-content: space-between;
}

.article-header h1 {
    margin-block-end: 2rem;
    padding-block-end: 2rem;
    border-block-end: 2px solid #e1e1e1;
    color: #283891;
}

.article-header h1 {
    margin-block-end: 2rem;
    padding-block-end: 2rem;
    border-block-end: 2px solid #e1e1e1;
    color: #283891;
}

.related-article-large .article-image {
    width: 350px;
    min-width: 350px;
}

.related-article-large .article-information {
    border-left: 1px solid #f1f1f1;
    padding-left: 20px;
    margin-left: 20px;
}

.breadcrumb {
    padding: 0.75rem 1rem;
    background-color: #e9ecef;
    border-radius: 0.25rem;
}

.alert-message {
    line-height: 1.5;
    border-bottom: 1px solid #d3d3d3;
    background-color: #fff;
    border-left: 6px solid #283891;
    color: #474747;
}

.flex-auto {
    flex: auto;
}
a {
    color: #fff;
}

.site-grid a:not(.btn) {
    color: #224faa;
}

.footer a {
    text-decoration: none;
}

.article-info > span {
    font-size: 0.813rem;
}

.find-atm-block form {
    width: 270px;
}

.article-info > span + span::before {
    display: inline-block;
    padding-right: 0.5rem;
    padding-left: 0.5rem;
    content: "/";
}

.article-info > span a {
    color: #252525;
}

.article-info > span a:hover {
    color: #044cd0;
}

.article-details .article-full-image {
    margin-bottom: 2rem;
}

.article-details .article-full-image img {
    display: inline-block;
    border-radius: 4px;
}

.article-details .article-featured-video,
.article-details .article-featured-audio,
.article-details .article-feature-gallery {
    margin-bottom: 2rem;
}

.article-details figcaption.caption {
    font-size: 14px;
    color: #252525;
    margin: 5px 0px;
    opacity: 0.7;
}

.related-article-list-container {
    margin-top: 15px;
}

.row {
    --bs-gutter-x: 1.875rem;
}

@media (min-width: 768px) {
    #old-slideshow .djslider-in .slide-container {
        display: flex;
    }
}

.slide-desc-bg-default {
    border-radius: 7px;
}

.dj-slideshow .slide-desc-text-default {
    padding: 1rem;
}

@media (min-width: 992px) {
    .dj-slideshow .slide-desc-text-default {
        padding: 2rem 2.5rem;
    }
}

.dj-slideshow .slide-desc-text-default .slide-title {
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.3;
    padding: 0;
}

@media (min-width: 992px) {
    .dj-slideshow .slide-desc-text-default .slide-title {
        font-size: 1.9rem;
    }
}

.dj-slideshow .slide-desc-text-default .slide-text {
    font-size: 14px;
    line-height: 20px;
    padding: 0.5rem;
}

.dj-slideshow .slide-desc-text-default .read-more-button {
    background: #283891;
    text-indent: 0;
    color: #fff;
    border-radius: 4px;
    width: 95px;
    height: 53px;
    line-height: 33px;
    margin-top: 10px;
    font-size: 15px;
}

#old-slideshow .djslider-default {
    height: 520px !important;
}

@media (min-width: 992px) {
    #old-slideshow .djslider-default {
        height: 400px !important;
    }
}

@media (min-width: 1400px) {
    #old-slideshow .djslider-default {
        height: 500px !important;
    }
}

#old-slideshow .djslider-default .djslider-in > .slide-container {
    flex-wrap: wrap;
    height: 520px !important;
}

@media (min-width: 992px) {
    #old-slideshow .djslider-default .djslider-in > .slide-container {
        flex-wrap: nowrap;
        width: 100% !important;
        height: 400px !important;
    }
}

@media (min-width: 1400px) {
    #old-slideshow .djslider-default .djslider-in > .slide-container {
        height: 500px !important;
    }
}

#old-slideshow
    .djslider-default
    .djslider-in
    > .slide-container
    .slide-desc-in {
    background: #726659ee;
    width: 100%;
}

@media (min-width: 768px) {
    #old-slideshow
        .djslider-default
        .djslider-in
        > .slide-container
        .slide-desc-in {
        height: 100%;
    }
}

@media (min-width: 992px) {
    #old-slideshow
        .djslider-default
        .djslider-in
        > .slide-container
        .slide-desc {
        display: flex;
        flex-flow: row-reverse;
        width: calc(1260px - 833px) !important;
        position: static;
    }
}

#old-slideshow .djslider-default .slider-container {
    overflow: visible;
}

.dj-slideshow.inside-slideshow .djslider-default {
    height: 396px !important;
    background-color: #383838;
}

.dj-slideshow.inside-slideshow
    .djslider-default
    .djslider-in
    > .slide-container {
    flex-wrap: wrap;
    height: 396px !important;
}

.dj-slideshow.inside-slideshow .djslider-default .slide-desc-text-default {
    padding: 1.5rem;
}

.container-header .navbar-toggler {
    border: 0;
}

#old-slideshow .djslider-default img.dj-image {
    top: 0;
    transform: none;
    object-position: center;
    object-fit: cover;
    aspect-ratio: 0.9090909091;
}

@media (min-width: 768px) {
    #old-slideshow .djslider-default img.dj-image {
        aspect-ratio: 1.34;
    }
}

@media (min-width: 992px) {
    #old-slideshow .djslider-default img.dj-image {
        aspect-ratio: 1.6;
    }
}

.djslider-loader-default {
    overflow: visible !important;
}

/* Make the definition lists look like tables. 
   Add "table" class to <dl>
*/
dl.table {
    display: grid;
    grid-auto-columns: auto;
    grid-template-columns: 40% 60%;
}

dl.table > dt,
dl.table > dd {
    padding: 0.5rem;
    border-collapse: collapse;
    margin: 0;
    border: 0 solid;
    border-bottom-width: 1px;
    border-color: inherit;
}

dl.table > dt:nth-child(4n + 1),
dl.table > dd:nth-child(4n + 2) {
    background-color: var(--table-striped-bg);
}

/* Small menu triangles */
.metismenu.mod-menu .mm-toggler:after {
    color: #fff;
    border-left: 0.4em solid transparent;
    border-right: 0.4em solid transparent;
    border-top: 0.4em solid;
}

.level-2 a {
    color: #545454;
    font-weight: bold;
}

.level-2 a:hover {
    color: #222;
}

.metismenu.mod-menu .metismenu-item > span,
.metismenu.mod-menu .metismenu-item > a,
.metismenu.mod-menu .metismenu-item > button {
    font-weight: 700;
}

.container-header .metismenu > li.level-1 > ul {
    box-shadow: 0 3px 5px 0 rgba(0, 0, 0, 0.2);
}

.container-header .container-nav {
    padding: 0;
}

.container-nav .btn-group {
    margin: 0;
}

.footer {
    background: var(--bg-footer);
}

.container-footer {
    padding: 2rem;
}

.footer .grid-child {
    padding: 0;
}

.disclaimer-text {
    max-width: 780px;
    font-size: 11px;
    margin: 0 3rem;
}

.table thead th {
    white-space: normal;
}

.rsfp-signature-footer .description {
    color: #444 !important;
}

.footer {
    margin-block-start: 0;
}

.container-bottom-a > *,
.container-bottom-b > *,
.container-top-a > *,
.container-top-b > * {
    margin: 0;
}

[align="center"] {
    text-align: center;
}

.metismenu.mod-menu {
    margin: 0.5rem 0;
}

.container-header nav {
    margin-top: 0;
}

.table {
    margin-block-end: 2rem;
}

.navbar .mod-menu .level-1 > ul {
    padding-block: 0.4rem;
}

.table-primary {
    --table-bg: #e4e7ed;
    --table-striped-bg: #f6f6f6;
    --table-color: #fff;
}

.table-primary thead th {
    background-color: var(--color-secondary);
    color: #fff;
}

.table th {
    font-weight: 700;
}

blockquote {
    font-size: 2rem;
    padding: 3rem;
    background: var(--footer-color);
    font-style: italic;
    font-weight: 600;
}

.dog404 {
    background: transparent url("/images/404-dog.jpg") right bottom no-repeat;
    background-size: contain;
}

.djslider-default .navigation-container img {
    z-index: 1;
}

.container-header .container-nav nav {
    margin-top: 0;
}

.rsfp-directory-search {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
    align-items: center;
    padding-block-end: 1.2rem;
}

.rsfp-directory-search #rsfilter {
    border-radius: var(--border-radius);
    background-clip: padding-box;
    width: 100%;
    padding: 0.6rem 1rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    display: block;
    color: var(--body-color);
    appearance: none;
    border: 1px solid #555;
    max-width: 100%;
}

#externalLinkCatcherModal strong {
    word-wrap: break-word;
}

#new-slideshow .slide-desc {
    position: absolute;
    display: block;
}

/* Move the slideshow text to the left, add rounded corners and bg fx */
.djslider-default img.dj-image {
    border-radius: 5px;
}

.slide-text p:last-of-type {
    margin-block-end: 0;
}

/* ======================================== MOBILE SLIDESHOW ========================================== */
@media (max-width: 767px) and (orientation: portrait) {
    .container-banner .djslider-default,
    .container-banner .djslider-default ul.djslider-in > li {
        height: 550px !important;
        max-width: 100vw;
    }

    .container-banner .djslider-default img.dj-image {
        aspect-ratio: 11/16;
        object-fit: cover;
    }

    .djslider-default,
    .djslider-default ul.djslider-in > li {
        height: 360px !important;
    }

    .djslider-default img.dj-image {
        aspect-ratio: 1/1;
        object-fit: cover;
    }
}

@media (width<=991.98px) {
    .container-top-a {
        flex-direction: row;
    }
}

/* ======================================== TABLET ========================================== */
@media (min-width: 768px) {
    .metismenu.mod-menu {
        margin: 0;
    }

    body:not(.home) main {
        padding: 2rem;
    }

    .rsfp-directory-search #rsfilter {
        width: auto;
    }

    .blog-items.columns-3 {
        grid-template-columns: 1fr 1fr 1fr;
    }

    #new-slideshow .slide-desc-in {
        max-width: 544px;
        left: 15px;
        bottom: 15px;
        position: absolute !important;
        backdrop-filter: blur(5px);
    }
}

/* ======================================== DESKTOP ========================================== */
@media (min-width: 992px) {
    body:not(.home) main {
        padding: 2.1rem 3.125rem;
    }

    .blog-items .item-content {
        padding: 1.5rem;
    }

    #new-slideshow h2 {
        font-size: 2.3rem;
    }

    #new-slideshow .slide-desc-in {
        width: 564px;
        left: 30px;
        bottom: 30px;
    }
}
